<ion-header>
    <ion-navbar hideBackButton="true">
      <ion-buttons left>
    <button (click)="goBack()" ion-button icon-only style="margin-left: 10px">
      <ion-icon name="md-arrow-back"></ion-icon>
    </button>
  </ion-buttons>
      <ion-title>
        Panturrilha
      </ion-title>
      <ion-buttons end>
        <div class="icone-imagem">
          <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
        </div>
      </ion-buttons>
      <!--
      <ion-buttons end>
        <button ion-button icon-only (click)="addPanturrilha()" >
          <ion-icon name="add-circle"></ion-icon>
        </button>
      </ion-buttons>
    -->
    </ion-navbar>
  </ion-header>

  <ion-content padding >
   <div class="titulo-testes">Resultado</div>
      <ion-list *ngFor="let panturrilha of panturrilhas; let i=index" > <div class="texto-data">{{panturrilha.data_exame | date:"dd/MM/yyyy"}} 
         <button ion-button icon-only  (click)="deletePanturrilha(panturrilha.id_panturrilha)" class="button"  >
          <ion-icon name="ios-trash" color="danger"></ion-icon>
        </button></div>
      <ion-item-sliding >
        <ion-item style="margin:0; padding:0">
        <div class="valor-teste">{{panturrilha.circunferencia2}}<span class="cm"> cm</span></div>
         <div class="quebra">
            <span *ngIf="(panturrilha.circunferencia > 45)">
                <div class="circulo_testes"><img src="assets/imgs/circulo_branco.png"></div><div class="circulo-texto">Acompanhamento<br>de Rotina</div></span>
           <span *ngIf="(panturrilha.circunferencia >= 35 && panturrilha.circunferencia <= 45)">
             <div class="circulo_testes"><img src="assets/imgs/circulo_verde.png"></div><div class="circulo-texto">Acompanhamento<br>de Rotina</div></span>
            <span *ngIf="(panturrilha.circunferencia >= 31) && (panturrilha.circunferencia <35) "><div class="circulo_testes"><img src="assets/imgs/circulo_amarelo.png"></div><div class="circulo-texto2">Atenção<br></div></span>
            <span *ngIf="(panturrilha.circunferencia < 31)"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div> <div class="circulo-texto2">Ação<br></div></span>

           <!-- <span>{{panturrilha.nome}} ({{panturrilha.idade }}) Anos</span><br>
            Data do Exame: {{panturrilha.data_exame | date:"dd/MM/yyyy"}} -->
            <br>
              </div>
               <div class="quebra" >
                 <ion-card color="fundo-item" nopadding>
                 <ion-card-content>
                   <ion-card-title class="texto-titulo-avaliacao">
                   <strong>Recomendações</strong>
                   </ion-card-title>
                   <span *ngIf="(panturrilha.circunferencia >45 )" class="texto-recomendacaoes" text-wrap>A circunferência da sua panturrilha (batata da perna) sugere que sua condição muscular está satisfatória. Mantenha acompanhamento de rotina, medindo esse dado novamente daqui a cerca de seis meses.</span>
                   <span *ngIf="(panturrilha.circunferencia >= 35 && panturrilha.circunferencia <= 45 )" class="texto-recomendacaoes" text-wrap>Parabéns! A circunferência da sua panturrilha (batata da perna) sugere que sua condição muscular está satisfatória. Mantenha acompanhamento de rotina, medindo esse dado novamente daqui a cerca de seis meses.</span>
                   <span *ngIf="(panturrilha.circunferencia >= 31) && (panturrilha.circunferencia <35)" class="texto-recomendacaoes" text-wrap>A circunferência da sua panturrilha (batata da perna) sugere que sua condição muscular pode estar apresentando perdas e requer atenção. Procure um profissional de saúde para obter orientações sobre como proceder.</span>
                   <span *ngIf="(panturrilha.circunferencia < 31)" class="texto-recomendacaoes" text-wrap>A circunferência da sua panturrilha (batata da perna) sugere sua que condição muscular está apresentando perdas (sarcopenia) e isso pode agravar dificuldades de autonomia e independência. Procure um médico ou profissional de saúde para obter orientações sobre como proceder.</span>
                 <div class="referencia" text-wrap>
                  <span class="fontes">Fonte(s):<br></span>
                  Caderneta Virtual de Saúde da Pessoa Idosa<br><br>
                  
                  Caderno de Atenção Básica nº 19 - Envelhecimento e
                  Saúde da Pessoa Idosa<br><br><br>
                  <span class="atencao">Obs: As avaliações e orientações fornecidas nesse aplicativo não substituem a consulta médica.</span>
                 </div>
                  </ion-card-content>
               </ion-card>
               <!--
              <button ion-button color="primary" (click)="editPanturrilha(panturrilha.id_panturrilha)">
                <ion-icon name="paper"></ion-icon>
              </button>
            -->


             
            </div>

        </ion-item>

          </ion-item-sliding>



    </ion-list>
    <div class="row">
      <div class="col-md-6">
        <div style="display: block;">
        <canvas baseChart height="250"
                    [datasets]="lineChartData"
                    *ngIf="i<1"
                    [labels]="lineChartLabels"
                    [options]="lineChartOptions"
                    [colors]="lineChartColors"
                    [legend]="lineChartLegend"
                    [chartType]="lineChartType"
                    (chartHover)="chartHovered($event)"
                    (chartClick)="chartClicked($event)"></canvas>
        </div>
      </div>
    </div>

  </ion-content>
  <ion-footer>
  </ion-footer>
